<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myShipmentBillingItemLabel" jhiTranslate="mpmApp.shipmentBillingItem.home.createOrEditLabel">Create or edit a Shipment Billing Item</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!shipmentBillingItem.idShipmentBillingItem">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="shipmentBillingItem.idShipmentBillingItem" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.shipmentBillingItem.qty" for="field_qty">Qty</label>
                    <input currencyMask class="form-control" name="qty" id="field_qty"
                        [(ngModel)]="shipmentBillingItem.qty"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>

                <div class="form-group" *ngIf="idShipmentItem === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.shipmentBillingItem.shipmentItem" for="field_shipmentItem">Shipment Item</label>
                    <select class="form-control" id="field_shipmentItem" name="shipmentItem" [(ngModel)]="shipmentBillingItem.shipmentItemId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="shipmentItemOption.idShipmentItem" *ngFor="let shipmentItemOption of shipmentitems; trackBy: trackShipmentItemById">{{shipmentItemOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idBillingItem === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.shipmentBillingItem.billingItem" for="field_billingItem">Billing Item</label>
                    <select class="form-control" id="field_billingItem" name="billingItem" [(ngModel)]="shipmentBillingItem.billingItemId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="billingItemOption.idBillingItem" *ngFor="let billingItemOption of billingitems; trackBy: trackBillingItemById">{{billingItemOption.id}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
